This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 962990 - [abrt] inkscape-0.48.4-1.fc18: option_menu_get_props: Process /usr/bin/inkscape was killed by signal 6 (SIGABRT)
[abrt] inkscape-0.48.4-1.fc18: option_menu_get_props: Process /usr/bin/inksca...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:1fda231a8e7c06b552b24637dde...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 18:20 EDT by Bruce-Robert Pocock
Modified: 2014-02-05 16:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:22:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (80.22 KB, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: cgroup (131 bytes, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: core_backtrace (21.33 KB, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: dso_list (15.28 KB, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: environ (1.81 KB, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: maps (101.50 KB, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: open_fds (769 bytes, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: smolt_data (3.16 KB, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details
File: xsession_errors (154 bytes, text/plain)
2013-05-14 18:20 EDT, Bruce-Robert Pocock
no flags Details

  None (edit)
Description Bruce-Robert Pocock 2013-05-14 18:20:01 EDT
Description of problem:
seems to be reproducible when clicking in to the outline styles tab, was trying to increase outline widths and had this recurring.

Version-Release number of selected component:
inkscape-0.48.4-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        inkscape
crash_function: option_menu_get_props
executable:     /usr/bin/inkscape
kernel:         3.8.4-202.fc18.x86_64
uid:            1000
ureports_counter: 1
var_log_messages: May 14 12:15:39 BRPocock abrt[31451]: Saved core dump of pid 30747 (/usr/bin/inkscape) to /var/tmp/abrt/ccpp-2013-05-14-12:15:37-30747 (169512960 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 option_menu_get_props at bluecurve_style.c:269
 #7 draw_box at bluecurve_style.c:1997
 #8 gtk_option_menu_paint at gtkoptionmenu.c:520
 #9 gtk_option_menu_expose at gtkoptionmenu.c:584
 #10 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #15 gtk_widget_event_internal at gtkwidget.c:5017
 #16 gtk_widget_send_expose at gtkwidget.c:4846
 #17 gtk_container_propagate_expose at gtkcontainer.c:2757
 #18 gtk_table_forall at gtktable.c:935
 #19 gtk_container_expose at gtkcontainer.c:2661
Comment 1 Bruce-Robert Pocock 2013-05-14 18:20:03 EDT
Created attachment 747945 [details]
File: backtrace
Comment 2 Bruce-Robert Pocock 2013-05-14 18:20:06 EDT
Created attachment 747946 [details]
File: cgroup
Comment 3 Bruce-Robert Pocock 2013-05-14 18:20:08 EDT
Created attachment 747947 [details]
File: core_backtrace
Comment 4 Bruce-Robert Pocock 2013-05-14 18:20:10 EDT
Created attachment 747948 [details]
File: dso_list
Comment 5 Bruce-Robert Pocock 2013-05-14 18:20:12 EDT
Created attachment 747949 [details]
File: environ
Comment 6 Bruce-Robert Pocock 2013-05-14 18:20:13 EDT
Created attachment 747950 [details]
File: limits
Comment 7 Bruce-Robert Pocock 2013-05-14 18:20:16 EDT
Created attachment 747951 [details]
File: maps
Comment 8 Bruce-Robert Pocock 2013-05-14 18:20:21 EDT
Created attachment 747952 [details]
File: open_fds
Comment 9 Bruce-Robert Pocock 2013-05-14 18:20:24 EDT
Created attachment 747953 [details]
File: proc_pid_status
Comment 10 Bruce-Robert Pocock 2013-05-14 18:20:26 EDT
Created attachment 747954 [details]
File: smolt_data
Comment 11 Bruce-Robert Pocock 2013-05-14 18:20:28 EDT
Created attachment 747955 [details]
File: xsession_errors
Comment 12 Fedora End Of Life 2013-12-21 08:32:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:22:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.